﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace MenuDemo
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
			this.Watermark.AddHandler(UIElement.MouseLeftButtonDownEvent, new MouseButtonEventHandler(RadWatermarkTextBox_MouseLeftButtonUp), true);
		}

		private void RadWatermarkTextBox_PreviewGotKeyboardFocus(object sender, KeyboardFocusChangedEventArgs e)
		{
			var watermark = sender as RadWatermarkTextBox;
			var border = watermark.Template.FindName("FocusedVisual", watermark) as Border;

			if (watermark.IsReadOnly && ((System.Windows.Input.KeyboardEventArgs)(e)).KeyboardDevice.IsKeyDown(Key.Tab))
			{
					border.BorderThickness = new Thickness(0);
				//border.Visibility = Visibility.Collapsed;
			}
			else if (watermark.IsReadOnly && !((System.Windows.Input.KeyboardEventArgs)(e)).KeyboardDevice.IsKeyDown(Key.Tab))
			{
				border.BorderThickness = new Thickness(2);
			}
		}

		private void RadWatermarkTextBox_LostKeyboardFocus(object sender, KeyboardFocusChangedEventArgs e)
		{
			var watermark = sender as RadWatermarkTextBox;
			var border = watermark.Template.FindName("FocusedVisual", watermark) as Border;

			if (border.BorderThickness == new Thickness(0))
			{
				border.BorderThickness = new Thickness(2);
			}
		}

		private void RadWatermarkTextBox_MouseLeftButtonUp(object sender, MouseButtonEventArgs e)
		{
			var watermark = sender as RadWatermarkTextBox;
			var border = watermark.Template.FindName("FocusedVisual", watermark) as Border;

			if (border.BorderThickness == new Thickness(0))
			{
				border.BorderThickness = new Thickness(2);
			}
		}
	}
}
